﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS1000/2000 VER Required Equipment IEEE /9500
DATE:                  2010-08-24 14:43:07
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       175
=============================================================================
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS1000 Series
#          TDS 1001, TDS 1002, TDS 1012
#        TDS2000 Series
#          TDS 2002, TDS 2004, TDS 2012, TDS 2014, TDS 2022, TDS 2024
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub Datron 9500 Configuration Query IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        (while 9500 configuration is impossible to enable dual sine feature)
#        2 sets of 50 Ohm feed through terminator
#        2 sets cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-6
#        Power Splitter, DC to 18 GHz, 6 dB insertion loss,
#            Tektronix 015-0565-00 or equivalent
#        2 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         EQUIPMENT REQUIREMENTS

  1.002  IF           @NumHeads == 1
  1.003  MATH         @UsingPowerSplitter = 1; @Abort = 0

  1.004  ELSE
  1.005  CALL         Sub Datron 9500 Configuration Query IEEE

  1.006  IF           @NumHeads == 2 || @NumHeads == 4

# Check whether the active head configuration is possible to use dual sine
# function for external trig sensitivity test. 9500 dual sine feature is
# limited to heads of the same type.
  1.007  IF           ZCMPI(@HeadTypeCh1, @HeadTypeCh2)
  1.008  MATH         @UsingPowerSplitter = 0; @Abort = 0

  1.009  ELSE
  1.010  OPBR         -z In the subsequent external trigger sensitivity test,
  1.010  OPBR         the use of the 9500 dual sine function is recommended.
  1.010  OPBR         If two Active Heads of the same type are not available,
  1.010  OPBR         however, the use of a power splitter is also supported.
  1.010  OPBR
  1.010  OPBR         Do you wish to change Active Heads to facilitate the use
  1.010  OPBR         of the dual sine function at this time?

  1.011  IF           MEM1
  1.012  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.012  DISP         used in both CH 1 and CH 2, then modify the MET/CAL
  1.012  DISP         Instrument Configuration and re-execute the procedure.
  1.012  DISP
  1.012  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.012  DISP         the above change.
  1.013  ENDIF

  1.014  MATH         @UsingPowerSplitter = NOT(MEM1); @Abort = MEM1
  1.015  ENDIF

  1.016  ELSEIF       @NumHeads == 3
  1.017  MATH         L[1] = ZCMPI(@HeadTypeCh1, @HeadTypeCh3)
  1.018  MATH         L[2] = ZCMPI(@HeadTypeCh2, @HeadTypeCh3)
  1.019  MATH         L[1] = L[1] && L[2]

  1.020  IF           L[1]
  1.021  MATH         @UsingPowerSplitter = 0; @Abort = 0

  1.022  ELSE
  1.023  OPBR         -z In the subsequent external trigger sensitivity test,
  1.023  OPBR         the use of the 9500 dual sine function is recommended.
  1.023  OPBR         If all Active Heads of the same type are not available,
  1.023  OPBR         however, the use of a power splitter is also supported.
  1.023  OPBR
  1.023  OPBR         Do you wish to change Active Heads to facilitate the use
  1.023  OPBR         of the dual sine function at this time?

  1.024  IF           MEM1
  1.025  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.025  DISP         used in CH 1, CH 2, and CH 3, then modify the MET/CAL
  1.025  DISP         Instrument Configuration and re-execute the procedure.
  1.025  DISP
  1.025  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.025  DISP         the above change.
  1.026  ENDIF        ; IF  L[1]

  1.027  MATH         @UsingPowerSplitter = NOT(MEM1); @Abort = MEM1
  1.028  ENDIF

  1.029  ELSE         ; @NumHeads = 5
# Check whether the active head configuration is possible to use dual sine
# function for external trig sensitivity test. 9500 dual sine feature is
# limited to heads of the same type.
  1.030  MATH         L[1] = ZCMPI(@HeadTypeCh1, @HeadTypeCh2)
  1.031  MATH         L[2] = ZCMPI(@HeadTypeCh1, @HeadTypeCh3)
  1.032  MATH         L[3] = ZCMPI(@HeadTypeCh1, @HeadTypeCh4)
  1.033  MATH         L[4] = ZCMPI(@HeadTypeCh1, @HeadTypeCh5)
  1.034  MATH         L[1] = L[1] && L[2] && L[3] && L[4]

  1.035  IF           L[1]
  1.036  MATH         @UsingPowerSplitter = 0; @Abort = 0

  1.037  ELSE
  1.038  OPBR         -z In the subsequent external trigger sensitivity test,
  1.038  OPBR         the use of the 9500 dual sine function is recommended.
  1.038  OPBR         If all Active Heads of the same type are not available,
  1.038  OPBR         however, the use of a power splitter is also supported.
  1.038  OPBR
  1.038  OPBR         Do you wish to change Active Heads to facilitate the use
  1.038  OPBR         of the dual sine function at this time?

  1.039  IF           MEM1
  1.040  DISP         Change 9500 Active Heads, ensuring the same types are
  1.040  DISP         used in CH 1, CH 2, CH 3, CH 4, and CH 5, then modify
  1.040  DISP         the MET/CAL Instrument Configuration and re-execute
  1.040  DISP         the procedure.
  1.040  DISP
  1.040  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.040  DISP         the above change.
  1.041  ENDIF

  1.042  MATH         @UsingPowerSplitter = NOT(MEM1); @Abort = MEM1
  1.043  ENDIF        ; IF  L[1]

  1.044  ENDIF        ; IF  @NumHeads == 2 || @NumHeads == 4

  1.045  ENDIF        ; IF  @NumHeads == 1

  1.046  IF           @UsingPowerSplitter
  1.047  DISP         The following additional equipment and/or
  1.047  DISP         accessories are required:
  1.047  DISP
  1.047  DISP         - 2 ea. 50 Ohm feed through terminator
  1.047  DISP         - 2 ea. cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-6
  1.047  DISP         - Power Splitter, DC to 18 GHz, 6 dB insertion loss,
  1.047  DISP         [32] Tektronix 015-0565-00 or equivalent
  1.047  DISP         - 2 ea. SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.048  ENDIF

  1.049  HEAD
  1.050  END

